Bug 488381 - pwlib installs i386 versions of dependencies which are already present as 64bit versions
pwlib installs i386 versions of dependencies which are already present as 64b...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pwlib (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 18:19 EST by Erik Streb del Toro
Modified: 2010-06-14 10:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 06:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Streb del Toro 2009-03-03 18:19:27 EST
Description of problem:
I want to install pwlib (64 bit version), and gpk-application tells me that it will install some dependencies which have i386 architecture. But then gpk-application aborts the install process, because the dependencies are already installed as 64bit versions (which should be enough, I think).

Not the same thing with yum: pwlib is installed but the dependencies (libv4l, expat, ptlib) are installed as i386 versions. But yum then installs them (not useful I think).

Version-Release number of selected component (if applicable):
pwlib-1.10.10-10.fc10.x86_64

How reproducible:
Described above.

Steps to Reproduce:
1. Try to install pwlib on a 64bit machine.
2. gpk-application tells you, that i386versions of libv4l, expat, ptlib have to be installed.
3. Click on “Ok” to install pwlib and the dependencies.
  
Actual results:
gpk-application aborts installation.

Expected results:
gpk-application should resolve to the 64bit dependecies and then install them and pwlib.

Additional info:
Don’t know why yum just installs it. But it’s not that what I want.
Comment 1 Peter Robinson 2009-04-01 06:18:43 EDT
pwlib is obsolete in Fedora-10 and has been replaced by ptlib.
Comment 2 Erik Streb del Toro 2009-04-01 09:20:31 EDT
(In reply to comment #1)
> pwlib is obsolete in Fedora-10 and has been replaced by ptlib.  

Why is the package then in the repository? If it is there, it should resolve to the correct architecture.
Comment 3 Peter Robinson 2009-04-01 12:32:19 EDT
It shouldn't be. It was marked as a dead package. I will reopen the ticket with releng that made it a dead package. The last supported release that had pwlib was Fedora 9. Its long been replaced with ptlib.
Comment 4 Erik Streb del Toro 2009-04-01 15:36:28 EDT
(In reply to comment #3)
> It shouldn't be. It was marked as a dead package. I will reopen the ticket with
> releng that made it a dead package. The last supported release that had pwlib
> was Fedora 9. Its long been replaced with ptlib.  

This ticket is closed, but the bug is still present.

I didn’t exactly understand what you mean: What means “releng”? And when will you reopen the ticket?

If I type
   yum search pwlib
in my Fedora-10-console I get 4 packages:
pwlib.i386 : Portable Windows Library
pwlib.x86_64 : Portable Windows Library
pwlib-devel.i386 : Development package for pwlib
pwlib-devel.x86_64 : Development package for pwlib

There is no hint, that this package is dead or whatever.

Sorry, if I understood something wrong. I hope for a short explanation.
Comment 5 Peter Robinson 2009-04-01 15:39:39 EDT
What do you need pwlib for and why can't you use ptlib?
Comment 6 Erik Streb del Toro 2010-06-14 10:00:23 EDT
(In reply to comment #5)
> What do you need pwlib for and why can't you use ptlib?    

I needed it for using my DV camera as v4l device (i.e. webcam) using dv4l und vloopback as described here: http://ubuntu-utah.ubuntuforums.org/showthread.php?t=664596

But it never worked with Fedora. I used Ubuntu for this instead.

Note You need to log in before you can comment on or make changes to this bug.